org.apache.uima.jcas.cas

## Class NonEmptyIntegerList

- java.lang.Object
- - org.apache.uima.cas.impl.FeatureStructureImpl
  - - org.apache.uima.jcas.cas.TOP
    - - org.apache.uima.jcas.cas.IntegerList
      - - org.apache.uima.jcas.cas.NonEmptyIntegerList

- All Implemented Interfaces:
    Cloneable, Iterable<Integer>, FeatureStructure

      public class NonEmptyIntegerList
      extends IntegerList
      implements Iterable<Integer>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `type`
    `static int` | `typeIndexID`

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP

      `addr, jcasType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NonEmptyIntegerList()`
    `` | `NonEmptyIntegerList(int addr, TOP_Type type)`
    `` | `NonEmptyIntegerList(JCas jcas)`
    `` | `NonEmptyIntegerList(JCas jcas, int i, IntegerList tail)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHead()`
    `IntegerList` | `getTail()`
    `int` | `getTypeIndexID()` used to obtain reference to the TOP_Type instance
    `Iterator<Integer>` | `iterator()`
    `void` | `setHead(int v)`
    `void` | `setTail(IntegerList v)`

    - ### Methods inherited from class org.apache.uima.jcas.cas.IntegerList

      `getNthElement, push`

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP

      `addToIndexes, addToIndexes, equals, getAddress, getCAS, getCASImpl, getLowLevelCas, hashCode, removeFromIndexes, removeFromIndexes`

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImpl

      `clone, getavoidcollisionTypeCode, getBooleanValue, getByteValue, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, prettyPrint, prettyPrint, prettyPrint, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### typeIndexID

          public static final int typeIndexID

    - #### type

          public static final int type

  - ### Constructor Detail

    - #### NonEmptyIntegerList

          protected NonEmptyIntegerList()

    - #### NonEmptyIntegerList

          public NonEmptyIntegerList(int addr,
                                     TOP_Type type)

    - #### NonEmptyIntegerList

          public NonEmptyIntegerList(JCas jcas)

    - #### NonEmptyIntegerList

          public NonEmptyIntegerList(JCas jcas,
                                     int i,
                                     IntegerList tail)

      Parameters:
        `jcas` - the jcas to create this Feature Structure in
        `i` - the head value
        `tail` - the tail

  - ### Method Detail

    - #### getTypeIndexID

          public int getTypeIndexID()

      Description copied from class: `TOP`
      used to obtain reference to the TOP_Type instance
      Overrides:
        `getTypeIndexID` in class `IntegerList`
      Returns:
        the type array index

    - #### getHead

          public int getHead()

    - #### setHead

          public void setHead(int v)

    - #### getTail

          public IntegerList getTail()

    - #### setTail

          public void setTail(IntegerList v)

    - #### iterator

          public Iterator<Integer> iterator()

      Specified by:
        `iterator` in interface `Iterable<Integer>`
      Overrides:
        `iterator` in class `IntegerList`

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.